////////////////////////////////////////////////////////////////////// 
// libsrc/FilteredPedigree.h 
// (c) 2000-2004 Goncalo Abecasis, 2002-2004 Jan Wigginton
// 
// This file is distributed as part of the PEDSTATS source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile PEDSTATS.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Tuesday February 10, 2004
// 
 
#ifndef __FILTEREDPEDIGREE__
#define __FILTEREDPEDIGREE__

#include "Pedigree.h"

class FilteredPedigree : public Pedigree
   {
   public: 

   // Set elements to true (1) for individuals that should be excluded from 
   // consideration.
   IntArray filtered;

   virtual ~FilteredPedigree() { };

   // initializes overall filter
   void InitializeFilter();
   
   // builds a new pedigree consisting of just family members of family[id]
   void ExtractFamily(int id, FilteredPedigree & single_fam_ped);

   // builds a new pedigree consisting of just full entries for pedigree members known to be affected 
   // for affections[a], blank elements for all others. 
   void ExtractOnAffection(int a, FilteredPedigree & new_ped, int target_status);

   // Merges additional filter with current filtering rules for pedigree
   void Filter(IntArray & filter);

   virtual void Sort();
   };

#endif
 
